View Issue Details

IDProjectCategoryView StatusLast Update
0032969Open CASCADEOCCT:Codingpublic2022-10-19 15:56
Reporteraml Assigned Tovpozdyayev  
PrioritynormalSeverityintegration request 
Status verifiedResolutionfixed 
Product Version7.6.0 
Target Version7.7.0 
Summary0032969: Coding - get rid of unused headers [IMeshData to PLib]
DescriptionThis ticket is to clear unused headers in the packages from `IMeshData` to `PLib`.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Relationships

has duplicate 0032993 closedbugmaster Coding Rules - compilation error on including IntAna_Quadric.hxx 
child of 0032741 closedbugmaster Coding - get rid of unused headers 

Activities

git

2022-05-12 15:48

administrator   ~0108412

Branch CR32969 has been created by aml.

SHA-1: a31116f32e903f4596b73b200679b6f643607e6e


Detailed log of new commits:

Author: aml
Date: Fri Jan 14 18:56:30 2022 +0300

    0032969: Coding - get rid of unused headers [IMeshData to math]

git

2022-05-13 07:58

administrator   ~0108420

Branch CR32969 has been updated forcibly by aml.

SHA-1: 0c5a8110d99c0bd871db2272353679ae1c3fbd18

aml

2022-05-16 06:56

developer   ~0108425

Dear Kirill,

Please take a look at the CR32969 branch. Jenkins job is:
http://jenkins-test-occt/view/CR32969-master-aml/view/ALL/

git

2022-05-16 09:24

administrator   ~0108429

Branch CR32969 has been updated by kgv.

SHA-1: 76fb1ee1400a17513571812cfafabe093cd5aa48


Detailed log of new commits:

Author: kgv
Date: Mon May 16 09:24:19 2022 +0300

    Removed unused exception classes OSD_Exception_FLT_DIVIDE_BY_ZERO, OSD_Exception_INT_DIVIDE_BY_ZERO, OSD_Exception_FLT_DENORMAL_OPERAND, OSD_Exception_FLT_INEXACT_RESULT, OSD_Exception_FLT_INVALID_OPERATION, OSD_Exception_FLT_OVERFLOW, OSD_Exception_FLT_STACK_CHECK, OSD_Exception_FLT_UNDERFLOW.

kgv

2022-05-16 15:21

developer   ~0108444

Please raise the patch:
- OCCT: branch CR32969;
- OCC Products: branch CR32969.

smoskvin

2022-05-17 09:55

administrator   ~0108463

Problem compilation with OCCT_DEBUG=ON

/dn61/builds/CR0-WEEK-20_CR0-WEEK-20/OCCT_SRC/src/LDOM/LDOM_BasicNode.cxx: In function ‘char* db_pretty_print(const LDOM_BasicNode*, int, char*)’:

/dn61/builds/CR0-WEEK-20_CR0-WEEK-20/OCCT_SRC/src/LDOM/LDOM_BasicNode.cxx:66:79: error: cannot convert ‘const LDOM_BasicAttribute*’ to ‘const LDOM_BasicNode*’ for argument ‘1’ to ‘char* db_pretty_print(const LDOM_BasicNode*, int, char*)’
             db_pretty_print ((const LDOM_BasicAttribute *) aBNode, FLITERAL, 0);
                                                                               ^

/dn61/builds/CR0-WEEK-20_CR0-WEEK-20/OCCT_SRC/src/LDOM/LDOM_BasicNode.cxx:101:19: error: invalid use of incomplete type ‘const class LDOM_BasicAttribute’
       out << aBAtt.GetName() << '='
                   ^
In file included from /dn61/builds/CR0-WEEK-20_CR0-WEEK-20/Debian80-64-deb/OCCT/include/opencascade/LDOMString.hxx:1:0,
                 from /dn61/builds/CR0-WEEK-20_CR0-WEEK-20/OCCT_SRC/src/LDOM/LDOM_Node.hxx:22,
                 from /dn61/builds/CR0-WEEK-20_CR0-WEEK-20/Debian80-64-deb/OCCT/include/opencascade/LDOM_Node.hxx:1,
                 from /dn61/builds/CR0-WEEK-20_CR0-WEEK-20/OCCT_SRC/src/LDOM/LDOM_BasicNode.hxx:19,
                 from /dn61/builds/CR0-WEEK-20_CR0-WEEK-20/Debian80-64-deb/OCCT/include/opencascade/LDOM_BasicNode.hxx:1,
                 from /dn61/builds/CR0-WEEK-20_CR0-WEEK-20/OCCT_SRC/src/LDOM/LDOM_BasicNode.cxx:16:

/dn61/builds/CR0-WEEK-20_CR0-WEEK-20/OCCT_SRC/src/LDOM/LDOMString.hxx:70:16: error: forward declaration of ‘const class LDOM_BasicAttribute’
   friend class LDOM_BasicAttribute;
                ^

/dn61/builds/CR0-WEEK-20_CR0-WEEK-20/OCCT_SRC/src/LDOM/LDOM_BasicNode.cxx:102:35: error: invalid use of incomplete type ‘const class LDOM_BasicAttribute’
         << db_pretty_print (&aBAtt.GetValue(), FLITERAL, 0) << std::ends;
                                   ^
In file included from /dn61/builds/CR0-WEEK-20_CR0-WEEK-20/Debian80-64-deb/OCCT/include/opencascade/LDOMString.hxx:1:0,
                 from /dn61/builds/CR0-WEEK-20_CR0-WEEK-20/OCCT_SRC/src/LDOM/LDOM_Node.hxx:22,
                 from /dn61/builds/CR0-WEEK-20_CR0-WEEK-20/Debian80-64-deb/OCCT/include/opencascade/LDOM_Node.hxx:1,
                 from /dn61/builds/CR0-WEEK-20_CR0-WEEK-20/OCCT_SRC/src/LDOM/LDOM_BasicNode.hxx:19,
                 from /dn61/builds/CR0-WEEK-20_CR0-WEEK-20/Debian80-64-deb/OCCT/include/opencascade/LDOM_BasicNode.hxx:1,
                 from /dn61/builds/CR0-WEEK-20_CR0-WEEK-20/OCCT_SRC/src/LDOM/LDOM_BasicNode.cxx:16:

/dn61/builds/CR0-WEEK-20_CR0-WEEK-20/OCCT_SRC/src/LDOM/LDOMString.hxx:70:16: error: forward declaration of ‘const class LDOM_BasicAttribute’
   friend class LDOM_BasicAttribute;
                ^

/dn61/builds/CR0-WEEK-20_CR0-WEEK-20/OCCT_SRC/src/LDOM/LDOM_BasicNode.cxx:109:13: error: ‘LDOM_BasicText’ does not name a type
       const LDOM_BasicText& aBText = * (const LDOM_BasicText *) aBNode;
             ^

/dn61/builds/CR0-WEEK-20_CR0-WEEK-20/OCCT_SRC/src/LDOM/LDOM_BasicNode.cxx:111:32: error: ‘aBText’ was not declared in this scope
       out << db_pretty_print (&aBText.GetData(), FLITERAL, 0) << std::ends;
                                ^
Problem compilation on Windows 32 and 64 with uwp

1>E:\builds\CR0-WEEK-20_CR0-WEEK-20\OCCT_SRC\src\OSD\OSD_WNT.cxx(291): error C3861: 'EqualSid': identifier not found

1>E:\builds\CR0-WEEK-20_CR0-WEEK-20\OCCT_SRC\src\OSD\OSD_WNT.cxx(314): error C3861: 'EqualSid': identifier not found

1>E:\builds\CR0-WEEK-20_CR0-WEEK-20\OCCT_SRC\src\OSD\OSD_WNT.cxx(470): error C3861: 'GetFileSecurityW': identifier not found

Problem compilation on Windows with Mingw

E:\builds\CR0-WEEK-20_CR0-WEEK-20\OCCT_SRC\src\OSD\OSD_OpenFile.cxx:65:84: error: '_SH_DENYNO' was not declared in this scope
   const errno_t anErrCode = _wsopen_s (&aFileDesc, theName.ToWideString(), aFlags, _SH_DENYNO, _S_IREAD | _S_IWRITE);
                                                                                    ^~~~~~~~~~

git

2022-05-17 13:52

administrator   ~0108467

Branch CR32969 has been updated by aml.

SHA-1: ca386ebe67e5a8657ee03d05c74cbce3c6168cec


Detailed log of new commits:

Author: aml
Date: Tue May 17 13:52:44 2022 +0300

    # Fix compilation.

aml

2022-05-17 13:54

developer   ~0108468

Please rise the patch:
- OCCT: branch CR32969;
- OCC Products: branch CR32969.

afokin

2022-05-21 11:07

administrator   ~0108530

Combination -
OCCT branch : IR-2022-05-20
master SHA - 84d39c06fa79d4227c1bc415e36e3924f7ff64c6
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2022-05-20 SHA - 17cda8130dd822da7e07127476a2902326a00742
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18673.29000000065 / 18725.070000000575 [-0.28%]
Products
Total CPU difference: 11729.870000000092 / 11731.410000000136 [-0.01%]
Windows-64-VC14:
OCCT
Total CPU difference: 20661.390625 / 20657.984375 [+0.02%]
Products
Total CPU difference: 13282.171875 / 13258.375 [+0.18%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-05-21 11:47

administrator   ~0108541

Branch CR32969 has been deleted by mnt.

SHA-1: ca386ebe67e5a8657ee03d05c74cbce3c6168cec

Related Changesets

occt: master b9280b8b

2022-01-14 18:56:30

aml


Committer: smoskvin Details Diff
0032969: Coding - get rid of unused headers [IMeshData to PLib]

Removed unused exception classes OSD_Exception_FLT_DIVIDE_BY_ZERO, OSD_Exception_INT_DIVIDE_BY_ZERO, OSD_Exception_FLT_DENORMAL_OPERAND, OSD_Exception_FLT_INEXACT_RESULT, OSD_Exception_FLT_INVALID_OPERATION, OSD_Exception_FLT_OVERFLOW, OSD_Exception_FLT_STACK_CHECK, OSD_Exception_FLT_UNDERFLOW.
Affected Issues
0032969
mod - src/IMeshData/IMeshData_Edge.hxx Diff File
mod - src/IMeshData/IMeshData_Face.hxx Diff File
mod - src/IMeshData/IMeshData_ParametersListArrayAdaptor.hxx Diff File
mod - src/IMeshData/IMeshData_Shape.hxx Diff File
mod - src/IMeshData/IMeshData_StatusOwner.hxx Diff File
mod - src/IMeshData/IMeshData_Types.hxx Diff File
mod - src/IMeshTools/IMeshTools_Context.hxx Diff File
mod - src/IMeshTools/IMeshTools_MeshAlgo.hxx Diff File
mod - src/IMeshTools/IMeshTools_MeshAlgoFactory.hxx Diff File
mod - src/IMeshTools/IMeshTools_MeshBuilder.hxx Diff File
mod - src/IMeshTools/IMeshTools_ModelAlgo.hxx Diff File
mod - src/IMeshTools/IMeshTools_ModelBuilder.hxx Diff File
mod - src/IMeshTools/IMeshTools_ShapeExplorer.cxx Diff File
mod - src/IntAna/IntAna_Curve.hxx Diff File
mod - src/IntAna/IntAna_Int3Pln.cxx Diff File
mod - src/IntAna/IntAna_Int3Pln.hxx Diff File
mod - src/IntAna/IntAna_IntConicQuad.cxx Diff File
mod - src/IntAna/IntAna_IntConicQuad.hxx Diff File
mod - src/IntAna/IntAna_IntLinTorus.cxx Diff File
mod - src/IntAna/IntAna_IntLinTorus.hxx Diff File
mod - src/IntAna/IntAna_IntQuadQuad.cxx Diff File
mod - src/IntAna/IntAna_IntQuadQuad.hxx Diff File
mod - src/IntAna/IntAna_QuadQuadGeo.cxx Diff File
mod - src/IntAna/IntAna_QuadQuadGeo.hxx Diff File
mod - src/IntAna/IntAna_Quadric.cxx Diff File
mod - src/IntAna/IntAna_Quadric.hxx Diff File
mod - src/IntAna2d/IntAna2d_AnaIntersection.cxx Diff File
mod - src/IntAna2d/IntAna2d_AnaIntersection.hxx Diff File
mod - src/IntAna2d/IntAna2d_AnaIntersection_1.cxx Diff File
mod - src/IntAna2d/IntAna2d_AnaIntersection_2.cxx Diff File
mod - src/IntAna2d/IntAna2d_AnaIntersection_3.cxx Diff File
mod - src/IntAna2d/IntAna2d_AnaIntersection_4.cxx Diff File
mod - src/IntAna2d/IntAna2d_AnaIntersection_5.cxx Diff File
mod - src/IntAna2d/IntAna2d_AnaIntersection_6.cxx Diff File
mod - src/IntAna2d/IntAna2d_AnaIntersection_7.cxx Diff File
mod - src/IntAna2d/IntAna2d_AnaIntersection_8.cxx Diff File
mod - src/IntAna2d/IntAna2d_Conic.cxx Diff File
mod - src/IntAna2d/IntAna2d_Conic.hxx Diff File
mod - src/IntAna2d/IntAna2d_IntPoint.cxx Diff File
mod - src/IntAna2d/IntAna2d_IntPoint.hxx Diff File
mod - src/IntAna2d/IntAna2d_Outils.hxx Diff File
mod - src/IntCurve/IntCurve_IConicTool.hxx Diff File
mod - src/IntCurve/IntCurve_IntConicConic.cxx Diff File
mod - src/IntCurve/IntCurve_IntConicConic.hxx Diff File
mod - src/IntCurve/IntCurve_IntConicConic_1.cxx Diff File
mod - src/IntCurve/IntCurve_IntConicConic_Tool.hxx Diff File
mod - src/IntCurve/IntCurve_IntImpConicParConic.hxx Diff File
mod - src/IntCurve/IntCurve_MyImpParToolOfIntImpConicParConic.hxx Diff File
mod - src/IntCurve/IntCurve_PConic.cxx Diff File
mod - src/IntCurve/IntCurve_PConic.hxx Diff File
mod - src/IntCurve/IntCurve_PConicTool.hxx Diff File
mod - src/IntCurve/IntCurve_ProjectOnPConicTool.hxx Diff File
mod - src/IntCurvesFace/IntCurvesFace_Intersector.cxx Diff File
mod - src/IntCurvesFace/IntCurvesFace_ShapeIntersector.cxx Diff File
mod - src/IntCurveSurface/IntCurveSurface_Intersection.cxx Diff File
mod - src/IntCurveSurface/IntCurveSurface_Intersection.hxx Diff File
mod - src/IntCurveSurface/IntCurveSurface_IntersectionPoint.cxx Diff File
mod - src/IntCurveSurface/IntCurveSurface_IntersectionPoint.hxx Diff File
mod - src/IntCurveSurface/IntCurveSurface_IntersectionSegment.cxx Diff File
mod - src/IntCurveSurface/IntCurveSurface_TheHCurveTool.hxx Diff File
mod - src/IntCurveSurface/IntCurveSurface_TheInterferenceOfHInter.hxx Diff File
mod - src/IntCurveSurface/IntCurveSurface_ThePolygonToolOfHInter.hxx Diff File
mod - src/IntCurveSurface/IntCurveSurface_ThePolyhedronOfHInter.hxx Diff File
mod - src/IntCurveSurface/IntCurveSurface_ThePolyhedronToolOfHInter.hxx Diff File
mod - src/Interface/Interface_BitMap.cxx Diff File
mod - src/Interface/Interface_BitMap.hxx Diff File
mod - src/Interface/Interface_Category.cxx Diff File
mod - src/Interface/Interface_Category.hxx Diff File
mod - src/Interface/Interface_Check.hxx Diff File
mod - src/Interface/Interface_CheckIterator.hxx Diff File
mod - src/Interface/Interface_CheckTool.cxx Diff File
mod - src/Interface/Interface_CheckTool.hxx Diff File
mod - src/Interface/Interface_CopyControl.hxx Diff File
mod - src/Interface/Interface_CopyMap.hxx Diff File
mod - src/Interface/Interface_CopyTool.hxx Diff File
mod - src/Interface/Interface_EntityCluster.cxx Diff File
mod - src/Interface/Interface_EntityCluster.hxx Diff File
mod - src/Interface/Interface_EntityList.hxx Diff File
mod - src/Interface/Interface_FileParameter.hxx Diff File
mod - src/Interface/Interface_FileReaderData.cxx Diff File
mod - src/Interface/Interface_FileReaderData.hxx Diff File
mod - src/Interface/Interface_FileReaderTool.cxx Diff File
mod - src/Interface/Interface_FileReaderTool.hxx Diff File
mod - src/Interface/Interface_FloatWriter.cxx Diff File
mod - src/Interface/Interface_FloatWriter.hxx Diff File
mod - src/Interface/Interface_GeneralLib.hxx Diff File
mod - src/Interface/Interface_GeneralModule.hxx Diff File
mod - src/Interface/Interface_Graph.cxx Diff File
mod - src/Interface/Interface_GraphContent.cxx Diff File
mod - src/Interface/Interface_GTool.hxx Diff File
mod - src/Interface/Interface_HGraph.cxx Diff File
mod - src/Interface/Interface_HGraph.hxx Diff File
mod - src/Interface/Interface_HSequenceOfCheck.hxx Diff File
mod - src/Interface/Interface_InterfaceModel.cxx Diff File
mod - src/Interface/Interface_InterfaceModel.hxx Diff File
mod - src/Interface/Interface_MapAsciiStringHasher.hxx Diff File
mod - src/Interface/Interface_MSG.cxx Diff File
mod - src/Interface/Interface_MSG.hxx Diff File
mod - src/Interface/Interface_ParamList.cxx Diff File
mod - src/Interface/Interface_ParamList.hxx Diff File
mod - src/Interface/Interface_ParamSet.cxx Diff File
mod - src/Interface/Interface_ParamSet.hxx Diff File
mod - src/Interface/Interface_Protocol.cxx Diff File
mod - src/Interface/Interface_Protocol.hxx Diff File
mod - src/Interface/Interface_ReaderLib.hxx Diff File
mod - src/Interface/Interface_ReaderModule.cxx Diff File
mod - src/Interface/Interface_ReaderModule.hxx Diff File
mod - src/Interface/Interface_ReportEntity.hxx Diff File
mod - src/Interface/Interface_ShareFlags.cxx Diff File
mod - src/Interface/Interface_ShareFlags.hxx Diff File
mod - src/Interface/Interface_ShareTool.cxx Diff File
mod - src/Interface/Interface_SignLabel.hxx Diff File
mod - src/Interface/Interface_SignType.hxx Diff File
mod - src/Interface/Interface_STAT.hxx Diff File
mod - src/Interface/Interface_Static.cxx Diff File
mod - src/Interface/Interface_Static.hxx Diff File
mod - src/Interface/Interface_StaticStandards.cxx Diff File
mod - src/Interface/Interface_TypedValue.cxx Diff File
mod - src/Interface/Interface_TypedValue.hxx Diff File
mod - src/Interface/Interface_UndefinedContent.cxx Diff File
mod - src/Interface/Interface_UndefinedContent.hxx Diff File
mod - src/Interface/Interface_VectorOfFileParameter.hxx Diff File
mod - src/Intf/Intf_Interference.cxx Diff File
mod - src/Intf/Intf_Interference.hxx Diff File
mod - src/Intf/Intf_InterferencePolygon2d.cxx Diff File
mod - src/Intf/Intf_InterferencePolygon2d.hxx Diff File
mod - src/Intf/Intf_Polygon2d.cxx Diff File
mod - src/Intf/Intf_Polygon2d.hxx Diff File
mod - src/Intf/Intf_SectionLine.cxx Diff File
mod - src/Intf/Intf_SectionLine.hxx Diff File
mod - src/Intf/Intf_SectionPoint.cxx Diff File
mod - src/Intf/Intf_SectionPoint.hxx Diff File
mod - src/Intf/Intf_TangentZone.cxx Diff File
mod - src/Intf/Intf_TangentZone.hxx Diff File
mod - src/Intf/Intf_Tool.hxx Diff File
mod - src/IntImpParGen/IntImpParGen.cxx Diff File
mod - src/IntImpParGen/IntImpParGen_Tool.hxx Diff File
mod - src/IntPatch/IntPatch_ALine.cxx Diff File
mod - src/IntPatch/IntPatch_ArcFunction.cxx Diff File
mod - src/IntPatch/IntPatch_ArcFunction.hxx Diff File
mod - src/IntPatch/IntPatch_CSFunction.cxx Diff File
mod - src/IntPatch/IntPatch_CurvIntSurf.hxx Diff File
mod - src/IntPatch/IntPatch_GLine.cxx Diff File
mod - src/IntPatch/IntPatch_GLine.hxx Diff File
mod - src/IntPatch/IntPatch_HCurve2dTool.cxx Diff File
mod - src/IntPatch/IntPatch_HCurve2dTool.hxx Diff File
mod - src/IntPatch/IntPatch_HInterTool.cxx Diff File
mod - src/IntPatch/IntPatch_ImpPrmIntersection.cxx Diff File
mod - src/IntPatch/IntPatch_InterferencePolyhedron.cxx Diff File
mod - src/IntPatch/IntPatch_InterferencePolyhedron.hxx Diff File
mod - src/IntPatch/IntPatch_Intersection.cxx Diff File
mod - src/IntPatch/IntPatch_Line.cxx Diff File
mod - src/IntPatch/IntPatch_Line.hxx Diff File
mod - src/IntPatch/IntPatch_LineConstructor.cxx Diff File
mod - src/IntPatch/IntPatch_Point.cxx Diff File
mod - src/IntPatch/IntPatch_Point.hxx Diff File
mod - src/IntPatch/IntPatch_PolyArc.cxx Diff File
mod - src/IntPatch/IntPatch_PolyArc.hxx Diff File
mod - src/IntPatch/IntPatch_Polygo.cxx Diff File
mod - src/IntPatch/IntPatch_Polygo.hxx Diff File
mod - src/IntPatch/IntPatch_Polyhedron.cxx Diff File
mod - src/IntPatch/IntPatch_Polyhedron.hxx Diff File
mod - src/IntPatch/IntPatch_PolyhedronTool.hxx Diff File
mod - src/IntPatch/IntPatch_PolyLine.cxx Diff File
mod - src/IntPatch/IntPatch_PrmPrmIntersection.cxx Diff File
mod - src/IntPatch/IntPatch_PrmPrmIntersection_T3Bits.hxx Diff File
mod - src/IntPatch/IntPatch_RLine.cxx Diff File
mod - src/IntPatch/IntPatch_RLine.hxx Diff File
mod - src/IntPatch/IntPatch_RstInt.cxx Diff File
mod - src/IntPatch/IntPatch_SpecialPoints.cxx Diff File
mod - src/IntPatch/IntPatch_TheIWLineOfTheIWalking.hxx Diff File
mod - src/IntPatch/IntPatch_TheSegmentOfTheSOnBounds.hxx Diff File
mod - src/IntPatch/IntPatch_TheSOnBounds.hxx Diff File
mod - src/IntPatch/IntPatch_WLine.cxx Diff File
mod - src/IntPatch/IntPatch_WLine.hxx Diff File
mod - src/IntPatch/IntPatch_WLineTool.hxx Diff File
mod - src/IntPolyh/IntPolyh_CoupleMapHasher.hxx Diff File
mod - src/IntPolyh/IntPolyh_Edge.hxx Diff File
mod - src/IntPolyh/IntPolyh_MaillageAffinage.cxx Diff File
mod - src/IntPolyh/IntPolyh_Point.cxx Diff File
mod - src/IntPolyh/IntPolyh_SectionLine.hxx Diff File
mod - src/IntPolyh/IntPolyh_Triangle.cxx Diff File
mod - src/IntRes2d/IntRes2d_Domain.cxx Diff File
mod - src/IntRes2d/IntRes2d_Domain.hxx Diff File
mod - src/IntRes2d/IntRes2d_Intersection.cxx Diff File
mod - src/IntRes2d/IntRes2d_Intersection.hxx Diff File
mod - src/IntRes2d/IntRes2d_IntersectionPoint.cxx Diff File
mod - src/IntRes2d/IntRes2d_IntersectionPoint.hxx Diff File
mod - src/IntRes2d/IntRes2d_IntersectionSegment.cxx Diff File
mod - src/Intrv/Intrv_Interval.hxx Diff File
mod - src/Intrv/Intrv_Intervals.cxx Diff File
mod - src/Intrv/Intrv_Intervals.hxx Diff File
mod - src/IntSurf/IntSurf_Couple.hxx Diff File
mod - src/IntSurf/IntSurf_InteriorPoint.cxx Diff File
mod - src/IntSurf/IntSurf_InteriorPoint.hxx Diff File
mod - src/IntSurf/IntSurf_InteriorPointTool.hxx Diff File
mod - src/IntSurf/IntSurf_LineOn2S.cxx Diff File
mod - src/IntSurf/IntSurf_LineOn2S.hxx Diff File
mod - src/IntSurf/IntSurf_PathPoint.cxx Diff File
mod - src/IntSurf/IntSurf_PathPoint.hxx Diff File
mod - src/IntSurf/IntSurf_PathPointTool.hxx Diff File
mod - src/IntSurf/IntSurf_PntOn2S.cxx Diff File
mod - src/IntSurf/IntSurf_PntOn2S.hxx Diff File
mod - src/IntSurf/IntSurf_Quadric.cxx Diff File
mod - src/IntSurf/IntSurf_Quadric.hxx Diff File
mod - src/IntSurf/IntSurf_QuadricTool.cxx Diff File
mod - src/IntTools/IntTools.cxx Diff File
mod - src/IntTools/IntTools_BaseRangeSample.hxx Diff File
mod - src/IntTools/IntTools_BeanFaceIntersector.cxx Diff File
mod - src/IntTools/IntTools_BeanFaceIntersector.hxx Diff File
mod - src/IntTools/IntTools_CommonPrt.cxx Diff File
mod - src/IntTools/IntTools_CommonPrt.hxx Diff File
mod - src/IntTools/IntTools_Context.cxx Diff File
mod - src/IntTools/IntTools_Context.hxx Diff File
mod - src/IntTools/IntTools_CurveRangeLocalizeData.cxx Diff File
mod - src/IntTools/IntTools_CurveRangeLocalizeData.hxx Diff File
mod - src/IntTools/IntTools_CurveRangeSample.hxx Diff File
mod - src/IntTools/IntTools_CurveRangeSampleMapHasher.hxx Diff File
mod - src/IntTools/IntTools_EdgeEdge.cxx Diff File
mod - src/IntTools/IntTools_EdgeEdge.hxx Diff File
mod - src/IntTools/IntTools_EdgeFace.cxx Diff File
mod - src/IntTools/IntTools_EdgeFace.hxx Diff File
mod - src/IntTools/IntTools_FaceFace.cxx Diff File
mod - src/IntTools/IntTools_FClass2d.cxx Diff File
mod - src/IntTools/IntTools_FClass2d.hxx Diff File
mod - src/IntTools/IntTools_PntOnFace.cxx Diff File
mod - src/IntTools/IntTools_PntOnFace.hxx Diff File
mod - src/IntTools/IntTools_Root.hxx Diff File
mod - src/IntTools/IntTools_ShrunkRange.cxx Diff File
mod - src/IntTools/IntTools_ShrunkRange.hxx Diff File
mod - src/IntTools/IntTools_SurfaceRangeLocalizeData.cxx Diff File
mod - src/IntTools/IntTools_SurfaceRangeLocalizeData.hxx Diff File
mod - src/IntTools/IntTools_SurfaceRangeSample.cxx Diff File
mod - src/IntTools/IntTools_SurfaceRangeSample.hxx Diff File
mod - src/IntTools/IntTools_SurfaceRangeSampleMapHasher.hxx Diff File
mod - src/IntTools/IntTools_Tools.cxx Diff File
mod - src/IntTools/IntTools_Tools.hxx Diff File
mod - src/IntTools/IntTools_TopolTool.cxx Diff File
mod - src/Law/Law.cxx Diff File
mod - src/Law/Law_BSpFunc.cxx Diff File
mod - src/Law/Law_BSpFunc.hxx Diff File
mod - src/Law/Law_BSpline.hxx Diff File
mod - src/Law/Law_BSplineKnotSplitting.cxx Diff File
mod - src/Law/Law_Composite.cxx Diff File
mod - src/Law/Law_Composite.hxx Diff File
mod - src/Law/Law_Constant.cxx Diff File
mod - src/Law/Law_Function.cxx Diff File
mod - src/Law/Law_Interpol.cxx Diff File
mod - src/Law/Law_Interpol.hxx Diff File
mod - src/Law/Law_Interpolate.cxx Diff File
mod - src/Law/Law_Interpolate.hxx Diff File
mod - src/Law/Law_Linear.cxx Diff File
mod - src/Law/Law_Linear.hxx Diff File
mod - src/Law/Law_S.hxx Diff File
mod - src/LDOM/LDOMBasicString.hxx Diff File
mod - src/LDOM/LDOMParser.cxx Diff File
mod - src/LDOM/LDOM_BasicNode.cxx Diff File
mod - src/LDOM/LDOM_CharacterData.cxx Diff File
mod - src/LDOM/LDOM_Document.hxx Diff File
mod - src/LDOM/LDOM_Element.cxx Diff File
mod - src/LDOM/LDOM_LDOMImplementation.hxx Diff File
mod - src/LDOM/LDOM_Node.cxx Diff File
mod - src/LDOM/LDOM_Node.hxx Diff File
mod - src/LDOM/LDOM_OSStream.hxx Diff File
mod - src/LDOM/LDOM_XmlWriter.hxx Diff File
mod - src/LocalAnalysis/LocalAnalysis_CurveContinuity.cxx Diff File
mod - src/LocalAnalysis/LocalAnalysis_CurveContinuity.hxx Diff File
mod - src/LocalAnalysis/LocalAnalysis_SurfaceContinuity.cxx Diff File
mod - src/LocalAnalysis/LocalAnalysis_SurfaceContinuity.hxx Diff File
mod - src/LocOpe/LocOpe_BuildShape.cxx Diff File
mod - src/LocOpe/LocOpe_BuildShape.hxx Diff File
mod - src/LocOpe/LocOpe_BuildWires.cxx Diff File
mod - src/LocOpe/LocOpe_BuildWires.hxx Diff File
mod - src/LocOpe/LocOpe_CSIntersector.cxx Diff File
mod - src/LocOpe/LocOpe_CSIntersector.hxx Diff File
mod - src/LocOpe/LocOpe_CurveShapeIntersector.cxx Diff File
mod - src/LocOpe/LocOpe_CurveShapeIntersector.hxx Diff File
mod - src/LocOpe/LocOpe_DataMapOfShapePnt.hxx Diff File
mod - src/LocOpe/LocOpe_DPrism.cxx Diff File
mod - src/LocOpe/LocOpe_DPrism.hxx Diff File
mod - src/LocOpe/LocOpe_FindEdges.cxx Diff File
mod - src/LocOpe/LocOpe_FindEdges.hxx Diff File
mod - src/LocOpe/LocOpe_FindEdgesInFace.cxx Diff File
mod - src/LocOpe/LocOpe_FindEdgesInFace.hxx Diff File
mod - src/LocOpe/LocOpe_GeneratedShape.cxx Diff File
mod - src/LocOpe/LocOpe_GeneratedShape.hxx Diff File
mod - src/LocOpe/LocOpe_Generator.cxx Diff File
mod - src/LocOpe/LocOpe_Generator.hxx Diff File
mod - src/LocOpe/LocOpe_GluedShape.cxx Diff File
mod - src/LocOpe/LocOpe_GluedShape.hxx Diff File
mod - src/LocOpe/LocOpe_Gluer.cxx Diff File
mod - src/LocOpe/LocOpe_Gluer.hxx Diff File
mod - src/LocOpe/LocOpe_LinearForm.cxx Diff File
mod - src/LocOpe/LocOpe_LinearForm.hxx Diff File
mod - src/LocOpe/LocOpe_Pipe.cxx Diff File
mod - src/LocOpe/LocOpe_PntFace.hxx Diff File
mod - src/LocOpe/LocOpe_Prism.cxx Diff File
mod - src/LocOpe/LocOpe_Prism.hxx Diff File
mod - src/LocOpe/LocOpe_Revol.cxx Diff File
mod - src/LocOpe/LocOpe_Revol.hxx Diff File
mod - src/LocOpe/LocOpe_RevolutionForm.cxx Diff File
mod - src/LocOpe/LocOpe_RevolutionForm.hxx Diff File
mod - src/LocOpe/LocOpe_SplitDrafts.cxx Diff File
mod - src/LocOpe/LocOpe_SplitDrafts.hxx Diff File
mod - src/LocOpe/LocOpe_Spliter.cxx Diff File
mod - src/LocOpe/LocOpe_Spliter.hxx Diff File
mod - src/LocOpe/LocOpe_SplitShape.cxx Diff File
mod - src/LocOpe/LocOpe_SplitShape.hxx Diff File
mod - src/LocOpe/LocOpe_WiresOnShape.cxx Diff File
mod - src/LocOpe/LocOpe_WiresOnShape.hxx Diff File
mod - src/LProp/LProp_AnalyticCurInf.hxx Diff File
mod - src/LProp/LProp_CurAndInf.cxx Diff File
mod - src/LProp/LProp_CurAndInf.hxx Diff File
mod - src/LProp3d/LProp3d_SurfaceTool.cxx Diff File
mod - src/MAT/MAT_Arc.cxx Diff File
mod - src/MAT/MAT_Arc.hxx Diff File
mod - src/MAT/MAT_Edge.hxx Diff File
mod - src/MAT/MAT_Graph.cxx Diff File
mod - src/MAT/MAT_Graph.hxx Diff File
mod - src/MAT/MAT_ListOfBisector.hxx Diff File
mod - src/MAT/MAT_ListOfEdge.hxx Diff File
mod - src/MAT/MAT_Node.cxx Diff File
mod - src/MAT/MAT_Node.hxx Diff File
mod - src/MAT/MAT_Zone.cxx Diff File
mod - src/MAT/MAT_Zone.hxx Diff File
mod - src/MAT2d/MAT2d_BiInt.hxx Diff File
mod - src/MAT2d/MAT2d_Circuit.cxx Diff File
mod - src/MAT2d/MAT2d_Circuit.hxx Diff File
mod - src/MAT2d/MAT2d_Connexion.hxx Diff File
mod - src/MAT2d/MAT2d_CutCurve.hxx Diff File
mod - src/MAT2d/MAT2d_DataMapOfBiIntInteger.hxx Diff File
mod - src/MAT2d/MAT2d_DataMapOfIntegerBisec.hxx Diff File
mod - src/MAT2d/MAT2d_DataMapOfIntegerPnt2d.hxx Diff File
mod - src/MAT2d/MAT2d_MapBiIntHasher.hxx Diff File
mod - src/MAT2d/MAT2d_Mat2d.cxx Diff File
mod - src/MAT2d/MAT2d_MiniPath.cxx Diff File
mod - src/MAT2d/MAT2d_MiniPath.hxx Diff File
mod - src/MAT2d/MAT2d_Tool2d.cxx Diff File
mod - src/MAT2d/MAT2d_Tool2d.hxx Diff File
mod - src/math/math.hxx Diff File
mod - src/math/math_BFGS.cxx Diff File
mod - src/math/math_BFGS.hxx Diff File
mod - src/math/math_BissecNewton.hxx Diff File
mod - src/math/math_BracketedRoot.hxx Diff File
mod - src/math/math_BracketMinimum.hxx Diff File
mod - src/math/math_BrentMinimum.hxx Diff File
mod - src/math/math_ComputeGaussPointsAndWeights.hxx Diff File
mod - src/math/math_ComputeKronrodPointsAndWeights.hxx Diff File
mod - src/math/math_Crout.hxx Diff File
mod - src/math/math_DirectPolynomialRoots.cxx Diff File
mod - src/math/math_DirectPolynomialRoots.hxx Diff File
mod - src/math/math_DoubleTab.cxx Diff File
mod - src/math/math_DoubleTab.hxx Diff File
mod - src/math/math_EigenValuesSearcher.hxx Diff File
mod - src/math/math_FRPR.cxx Diff File
mod - src/math/math_FRPR.hxx Diff File
mod - src/math/math_Function.cxx Diff File
mod - src/math/math_Function.hxx Diff File
mod - src/math/math_FunctionAllRoots.cxx Diff File
mod - src/math/math_FunctionAllRoots.hxx Diff File
mod - src/math/math_FunctionRoot.cxx Diff File
mod - src/math/math_FunctionRoot.hxx Diff File
mod - src/math/math_FunctionRoots.cxx Diff File
mod - src/math/math_FunctionRoots.hxx Diff File
mod - src/math/math_FunctionSample.hxx Diff File
mod - src/math/math_FunctionSet.cxx Diff File
mod - src/math/math_FunctionSet.hxx Diff File
mod - src/math/math_FunctionSetWithDerivatives.hxx Diff File
mod - src/math/math_Gauss.cxx Diff File
mod - src/math/math_Gauss.hxx Diff File
mod - src/math/math_GaussLeastSquare.hxx Diff File
mod - src/math/math_GaussMultipleIntegration.cxx Diff File
mod - src/math/math_GaussMultipleIntegration.hxx Diff File
mod - src/math/math_GaussSetIntegration.hxx Diff File
mod - src/math/math_GaussSingleIntegration.cxx Diff File
mod - src/math/math_GaussSingleIntegration.hxx Diff File
mod - src/math/math_GlobOptMin.cxx Diff File
mod - src/math/math_GlobOptMin.hxx Diff File
mod - src/math/math_Householder.cxx Diff File
mod - src/math/math_Householder.hxx Diff File
mod - src/math/math_Jacobi.cxx Diff File
mod - src/math/math_Jacobi.hxx Diff File
mod - src/math/math_KronrodSingleIntegration.cxx Diff File
mod - src/math/math_KronrodSingleIntegration.hxx Diff File
mod - src/math/math_Matrix.hxx Diff File
mod - src/math/math_MultipleVarFunction.cxx Diff File
mod - src/math/math_MultipleVarFunction.hxx Diff File
mod - src/math/math_MultipleVarFunctionWithGradient.hxx Diff File
mod - src/math/math_MultipleVarFunctionWithHessian.hxx Diff File
mod - src/math/math_NewtonFunctionRoot.hxx Diff File
mod - src/math/math_NewtonFunctionSetRoot.cxx Diff File
mod - src/math/math_NewtonFunctionSetRoot.hxx Diff File
mod - src/math/math_NewtonMinimum.cxx Diff File
mod - src/math/math_NewtonMinimum.hxx Diff File
mod - src/math/math_Powell.cxx Diff File
mod - src/math/math_Powell.hxx Diff File
mod - src/math/math_PSO.cxx Diff File
mod - src/math/math_PSO.hxx Diff File
mod - src/math/math_Recipes.cxx Diff File
mod - src/math/math_Recipes.hxx Diff File
mod - src/math/math_SVD.hxx Diff File
mod - src/math/math_TrigonometricFunctionRoots.cxx Diff File
mod - src/math/math_TrigonometricFunctionRoots.hxx Diff File
mod - src/math/math_Uzawa.cxx Diff File
mod - src/math/math_Uzawa.hxx Diff File
mod - src/math/math_ValueAndWeight.hxx Diff File
mod - src/MeshTest/MeshTest.cxx Diff File
mod - src/MeshTest/MeshTest_CheckTopology.cxx Diff File
mod - src/MeshTest/MeshTest_Debug.cxx Diff File
mod - src/MeshTest/MeshTest_PluginCommands.cxx Diff File
mod - src/MeshVS/MeshVS_DataMapOfIntegerBoolean.hxx Diff File
mod - src/MeshVS/MeshVS_DataMapOfTwoColorsMapOfInteger.hxx Diff File
mod - src/MeshVS/MeshVS_DataSource.cxx Diff File
mod - src/MeshVS/MeshVS_DataSource.hxx Diff File
mod - src/MeshVS/MeshVS_DataSource3D.hxx Diff File
mod - src/MeshVS/MeshVS_DeformedDataSource.cxx Diff File
mod - src/MeshVS/MeshVS_DeformedDataSource.hxx Diff File
mod - src/MeshVS/MeshVS_Drawer.cxx Diff File
mod - src/MeshVS/MeshVS_Drawer.hxx Diff File
mod - src/MeshVS/MeshVS_DummySensitiveEntity.hxx Diff File
mod - src/MeshVS/MeshVS_ElementalColorPrsBuilder.cxx Diff File
mod - src/MeshVS/MeshVS_HArray1OfSequenceOfInteger.hxx Diff File
mod - src/MeshVS/MeshVS_MapOfTwoNodes.hxx Diff File
mod - src/MeshVS/MeshVS_Mesh.cxx Diff File
mod - src/MeshVS/MeshVS_Mesh.hxx Diff File
mod - src/MeshVS/MeshVS_MeshEntityOwner.cxx Diff File
mod - src/MeshVS/MeshVS_MeshEntityOwner.hxx Diff File
mod - src/MeshVS/MeshVS_MeshOwner.cxx Diff File
mod - src/MeshVS/MeshVS_MeshOwner.hxx Diff File
mod - src/MeshVS/MeshVS_MeshPrsBuilder.cxx Diff File
mod - src/MeshVS/MeshVS_NodalColorPrsBuilder.cxx Diff File
mod - src/MeshVS/MeshVS_SensitiveFace.hxx Diff File
mod - src/MeshVS/MeshVS_SensitiveMesh.cxx Diff File
mod - src/MeshVS/MeshVS_SensitiveMesh.hxx Diff File
mod - src/MeshVS/MeshVS_SensitivePolyhedron.cxx Diff File
mod - src/MeshVS/MeshVS_SensitivePolyhedron.hxx Diff File
mod - src/MeshVS/MeshVS_SensitiveQuad.hxx Diff File
mod - src/MeshVS/MeshVS_SensitiveSegment.hxx Diff File
mod - src/MeshVS/MeshVS_TextPrsBuilder.cxx Diff File
mod - src/MeshVS/MeshVS_Tool.hxx Diff File
mod - src/MeshVS/MeshVS_VectorPrsBuilder.cxx Diff File
mod - src/Message/Message.cxx Diff File
mod - src/Message/Message_Algorithm.cxx Diff File
mod - src/Message/Message_Algorithm.hxx Diff File
mod - src/Message/Message_Attribute.cxx Diff File
mod - src/Message/Message_AttributeMeter.cxx Diff File
mod - src/Message/Message_ExecStatus.hxx Diff File
mod - src/Message/Message_Level.cxx Diff File
mod - src/Message/Message_Level.hxx Diff File
mod - src/Message/Message_Messenger.hxx Diff File
mod - src/Message/Message_Msg.cxx Diff File
mod - src/Message/Message_MsgFile.cxx Diff File
mod - src/Message/Message_MsgFile.hxx Diff File
mod - src/Message/Message_Printer.hxx Diff File
mod - src/Message/Message_PrinterToReport.cxx Diff File
mod - src/Message/Message_PrinterToReport.hxx Diff File
mod - src/Message/Message_ProgressIndicator.hxx Diff File
mod - src/Message/Message_Report.hxx Diff File
mod - src/MoniTool/MoniTool_AttrList.hxx Diff File
mod - src/MoniTool/MoniTool_CaseData.cxx Diff File
mod - src/MoniTool/MoniTool_CaseData.hxx Diff File
mod - src/MoniTool/MoniTool_DataInfo.hxx Diff File
mod - src/MoniTool/MoniTool_Element.cxx Diff File
mod - src/MoniTool/MoniTool_Element.hxx Diff File
mod - src/MoniTool/MoniTool_ElemHasher.hxx Diff File
mod - src/MoniTool/MoniTool_IndexedDataMapOfShapeTransient.hxx Diff File
mod - src/MoniTool/MoniTool_MTHasher.hxx Diff File
mod - src/MoniTool/MoniTool_SignShape.cxx Diff File
mod - src/MoniTool/MoniTool_SignShape.hxx Diff File
mod - src/MoniTool/MoniTool_SignText.hxx Diff File
mod - src/MoniTool/MoniTool_Stat.cxx Diff File
mod - src/MoniTool/MoniTool_Stat.hxx Diff File
mod - src/MoniTool/MoniTool_Timer.hxx Diff File
mod - src/MoniTool/MoniTool_TransientElem.cxx Diff File
mod - src/MoniTool/MoniTool_TransientElem.hxx Diff File
mod - src/MoniTool/MoniTool_TypedValue.hxx Diff File
mod - src/NCollection/NCollection_AccAllocator.cxx Diff File
mod - src/NCollection/NCollection_AliasedArray.hxx Diff File
mod - src/NCollection/NCollection_BaseVector.cxx Diff File
mod - src/NCollection/NCollection_BaseVector.hxx Diff File
mod - src/NCollection/NCollection_Buffer.hxx Diff File
mod - src/NCollection/NCollection_CellFilter.hxx Diff File
mod - src/NCollection/NCollection_DefaultHasher.hxx Diff File
mod - src/NCollection/NCollection_DoubleMap.hxx Diff File
mod - src/NCollection/NCollection_Map.hxx Diff File
mod - src/NLPlate/NLPlate_HGPPConstraint.cxx Diff File
mod - src/NLPlate/NLPlate_HGPPConstraint.hxx Diff File
mod - src/NLPlate/NLPlate_HPG0Constraint.cxx Diff File
mod - src/NLPlate/NLPlate_HPG0Constraint.hxx Diff File
mod - src/NLPlate/NLPlate_HPG0G1Constraint.cxx Diff File
mod - src/NLPlate/NLPlate_HPG0G1Constraint.hxx Diff File
mod - src/NLPlate/NLPlate_HPG0G2Constraint.cxx Diff File
mod - src/NLPlate/NLPlate_HPG0G2Constraint.hxx Diff File
mod - src/NLPlate/NLPlate_HPG0G3Constraint.cxx Diff File
mod - src/NLPlate/NLPlate_HPG0G3Constraint.hxx Diff File
mod - src/NLPlate/NLPlate_HPG1Constraint.cxx Diff File
mod - src/NLPlate/NLPlate_HPG1Constraint.hxx Diff File
mod - src/NLPlate/NLPlate_HPG2Constraint.cxx Diff File
mod - src/NLPlate/NLPlate_HPG2Constraint.hxx Diff File
mod - src/NLPlate/NLPlate_HPG3Constraint.cxx Diff File
mod - src/NLPlate/NLPlate_HPG3Constraint.hxx Diff File
mod - src/NLPlate/NLPlate_NLPlate.cxx Diff File
mod - src/NLPlate/NLPlate_NLPlate.hxx Diff File
mod - src/OpenGl/OpenGl_Aspects.hxx Diff File
mod - src/OpenGl/OpenGl_AspectsProgram.cxx Diff File
mod - src/OpenGl/OpenGl_AspectsTextureSet.cxx Diff File
mod - src/OpenGl/OpenGl_AspectsTextureSet.hxx Diff File
mod - src/OpenGl/OpenGl_BackgroundArray.cxx Diff File
mod - src/OpenGl/OpenGl_Buffer.cxx Diff File
mod - src/OpenGl/OpenGl_CappingAlgo.cxx Diff File
mod - src/OpenGl/OpenGl_CappingPlaneResource.cxx Diff File
mod - src/OpenGl/OpenGl_Context.cxx Diff File
mod - src/OpenGl/OpenGl_Context.hxx Diff File
mod - src/OpenGl/OpenGl_Element.hxx Diff File
mod - src/OpenGl/OpenGl_Flipper.cxx Diff File
mod - src/OpenGl/OpenGl_Font.cxx Diff File
mod - src/OpenGl/OpenGl_FrameBuffer.cxx Diff File
mod - src/OpenGl/OpenGl_FrameStats.cxx Diff File
mod - src/OpenGl/OpenGl_FrameStatsPrs.hxx Diff File
mod - src/OpenGl/OpenGl_GlFunctions.cxx Diff File
mod - src/OpenGl/OpenGl_GraduatedTrihedron.cxx Diff File
mod - src/OpenGl/OpenGl_GraduatedTrihedron.hxx Diff File
mod - src/OpenGl/OpenGl_GraphicDriver.cxx Diff File
mod - src/OpenGl/OpenGl_GraphicDriver.hxx Diff File
mod - src/OpenGl/OpenGl_Group.cxx Diff File
mod - src/OpenGl/OpenGl_Group.hxx Diff File
mod - src/OpenGl/OpenGl_HaltonSampler.hxx Diff File
mod - src/OpenGl/OpenGl_IndexBuffer.cxx Diff File
mod - src/OpenGl/OpenGl_LayerList.cxx Diff File
mod - src/OpenGl/OpenGl_LayerList.hxx Diff File
mod - src/OpenGl/OpenGl_PBREnvironment.cxx Diff File
mod - src/OpenGl/OpenGl_PointSprite.cxx Diff File
mod - src/OpenGl/OpenGl_PrimitiveArray.cxx Diff File
mod - src/OpenGl/OpenGl_PrimitiveArray.hxx Diff File
mod - src/OpenGl/OpenGl_SceneGeometry.cxx Diff File
mod - src/OpenGl/OpenGl_ShaderManager.cxx Diff File
mod - src/OpenGl/OpenGl_ShaderManager.hxx Diff File
mod - src/OpenGl/OpenGl_ShaderObject.cxx Diff File
mod - src/OpenGl/OpenGl_ShaderProgram.cxx Diff File
mod - src/OpenGl/OpenGl_ShaderProgram.hxx Diff File
mod - src/OpenGl/OpenGl_ShaderStates.hxx Diff File
mod - src/OpenGl/OpenGl_ShadowMap.cxx Diff File
mod - src/OpenGl/OpenGl_ShadowMap.hxx Diff File
mod - src/OpenGl/OpenGl_Structure.cxx Diff File
mod - src/OpenGl/OpenGl_Structure.hxx Diff File
mod - src/OpenGl/OpenGl_Text.cxx Diff File
mod - src/OpenGl/OpenGl_Text.hxx Diff File
mod - src/OpenGl/OpenGl_TextBuilder.hxx Diff File
mod - src/OpenGl/OpenGl_Texture.cxx Diff File
mod - src/OpenGl/OpenGl_TextureFormat.hxx Diff File
mod - src/OpenGl/OpenGl_TileSampler.cxx Diff File
mod - src/OpenGl/OpenGl_VertexBuffer.cxx Diff File
mod - src/OpenGl/OpenGl_View.cxx Diff File
mod - src/OpenGl/OpenGl_View.hxx Diff File
mod - src/OpenGl/OpenGl_Window.cxx Diff File
mod - src/OpenGl/OpenGl_Workspace.cxx Diff File
mod - src/OpenGlTest/OpenGlTest_Commands.cxx Diff File
mod - src/OSD/FILES Diff File
mod - src/OSD/OSD_Directory.cxx Diff File
mod - src/OSD/OSD_DirectoryIterator.cxx Diff File
mod - src/OSD/OSD_DirectoryIterator.hxx Diff File
mod - src/OSD/OSD_Disk.cxx Diff File
mod - src/OSD/OSD_Environment.cxx Diff File
mod - src/OSD/OSD_Environment.hxx Diff File
mod - src/OSD/OSD_Error.hxx Diff File
mod - src/OSD/OSD_Exception_CTRL_BREAK.hxx Diff File
rm - src/OSD/OSD_Exception_FLT_DENORMAL_OPERAND.hxx Diff File
rm - src/OSD/OSD_Exception_FLT_DIVIDE_BY_ZERO.hxx Diff File
rm - src/OSD/OSD_Exception_FLT_INEXACT_RESULT.hxx Diff File
rm - src/OSD/OSD_Exception_FLT_INVALID_OPERATION.hxx Diff File
rm - src/OSD/OSD_Exception_FLT_OVERFLOW.hxx Diff File
rm - src/OSD/OSD_Exception_FLT_STACK_CHECK.hxx Diff File
rm - src/OSD/OSD_Exception_FLT_UNDERFLOW.hxx Diff File
rm - src/OSD/OSD_Exception_INT_DIVIDE_BY_ZERO.hxx Diff File
mod - src/OSD/OSD_File.cxx Diff File
mod - src/OSD/OSD_FileIterator.cxx Diff File
mod - src/OSD/OSD_Host.hxx Diff File
mod - src/OSD/OSD_MAllocHook.hxx Diff File
mod - src/OSD/OSD_MemInfo.cxx Diff File
mod - src/OSD/OSD_Parallel.hxx Diff File
mod - src/OSD/OSD_Path.cxx Diff File
mod - src/OSD/OSD_PerfMeter.cxx Diff File
mod - src/OSD/OSD_Process.cxx Diff File
mod - src/OSD/OSD_Protection.hxx Diff File
mod - src/OSD/OSD_SharedLibrary.hxx Diff File
mod - src/OSD/OSD_SIGBUS.hxx Diff File
mod - src/OSD/OSD_SIGHUP.hxx Diff File
mod - src/OSD/OSD_SIGILL.hxx Diff File
mod - src/OSD/OSD_SIGINT.hxx Diff File
mod - src/OSD/OSD_SIGKILL.hxx Diff File
mod - src/OSD/OSD_signal.cxx Diff File
mod - src/OSD/OSD_SIGQUIT.hxx Diff File
mod - src/OSD/OSD_SIGSYS.hxx Diff File
mod - src/OSD/OSD_StreamBuffer.hxx Diff File
mod - src/OSD/OSD_Thread.hxx Diff File
mod - src/OSD/OSD_Timer.hxx Diff File
mod - src/PCDM/PCDM.cxx Diff File
mod - src/PCDM/PCDM_Reader.cxx Diff File
mod - src/PCDM/PCDM_ReaderFilter.hxx Diff File
mod - src/PCDM/PCDM_ReadWriter_1.cxx Diff File
mod - src/PCDM/PCDM_Reference.hxx Diff File
mod - src/PCDM/PCDM_ReferenceIterator.cxx Diff File
mod - src/PCDM/PCDM_RetrievalDriver.cxx Diff File
mod - src/PCDM/PCDM_StorageDriver.cxx Diff File
mod - src/PCDM/PCDM_StorageDriver.hxx Diff File
mod - src/PCDM/PCDM_Writer.cxx Diff File
mod - src/Plate/Plate_D1.cxx Diff File
mod - src/Plate/Plate_D2.cxx Diff File
mod - src/Plate/Plate_D3.cxx Diff File
mod - src/Plate/Plate_FreeGtoCConstraint.hxx Diff File
mod - src/Plate/Plate_GtoCConstraint.cxx Diff File
mod - src/Plate/Plate_GtoCConstraint.hxx Diff File
mod - src/Plate/Plate_LinearScalarConstraint.cxx Diff File
mod - src/Plate/Plate_LinearXYZConstraint.cxx Diff File
mod - src/Plate/Plate_LineConstraint.cxx Diff File
mod - src/Plate/Plate_LineConstraint.hxx Diff File
mod - src/Plate/Plate_PinpointConstraint.cxx Diff File
mod - src/Plate/Plate_PinpointConstraint.hxx Diff File
mod - src/Plate/Plate_PlaneConstraint.cxx Diff File
mod - src/Plate/Plate_PlaneConstraint.hxx Diff File
mod - src/Plate/Plate_Plate.cxx Diff File
mod - src/Plate/Plate_Plate.hxx Diff File
mod - src/Plate/Plate_SampledCurveConstraint.cxx Diff File
mod - src/Plate/Plate_SampledCurveConstraint.hxx Diff File
mod - src/PLib/PLib.hxx Diff File
mod - src/PLib/PLib_DoubleJacobiPolynomial.hxx Diff File
mod - src/PLib/PLib_HermitJacobi.cxx Diff File
mod - src/PLib/PLib_HermitJacobi.hxx Diff File
mod - src/PLib/PLib_JacobiPolynomial.hxx Diff File

occt-products: master 17cda813

2022-05-16 10:50:32

kgv

Details Diff
0032969: Coding - get rid of unused headers [IMeshData to PLib]

Removed unused exception classes OSD_Exception_FLT_DIVIDE_BY_ZERO, OSD_Exception_INT_DIVIDE_BY_ZERO, OSD_Exception_FLT_DENORMAL_OPERAND, OSD_Exception_FLT_INEXACT_RESULT, OSD_Exception_FLT_INVALID_OPERATION, OSD_Exception_FLT_OVERFLOW, OSD_Exception_FLT_STACK_CHECK, OSD_Exception_FLT_UNDERFLOW.
Affected Issues
0032969
mod - diff Diff File

Issue History

Date Modified Username Field Change
2022-05-12 15:47 aml New Issue
2022-05-12 15:47 aml Assigned To => aml
2022-05-12 15:47 aml Relationship added child of 0032741
2022-05-12 15:48 git Note Added: 0108412
2022-05-13 07:56 aml Summary Coding - get rid of unused headers [IMeshData to math] => Coding - get rid of unused headers [IMeshData to PLib]
2022-05-13 07:56 aml Description Updated
2022-05-13 07:58 git Note Added: 0108420
2022-05-16 06:56 aml Assigned To aml => kgv
2022-05-16 06:56 aml Status new => resolved
2022-05-16 06:56 aml Steps to Reproduce Updated
2022-05-16 06:56 aml Note Added: 0108425
2022-05-16 09:24 git Note Added: 0108429
2022-05-16 15:21 kgv Assigned To kgv => bugmaster
2022-05-16 15:21 kgv Status resolved => reviewed
2022-05-16 15:21 kgv Test case number => N/A
2022-05-16 15:21 kgv Note Added: 0108444
2022-05-17 09:55 smoskvin Assigned To bugmaster => aml
2022-05-17 09:55 smoskvin Status reviewed => assigned
2022-05-17 09:55 smoskvin Note Added: 0108463
2022-05-17 13:52 git Note Added: 0108467
2022-05-17 13:53 aml Status assigned => resolved
2022-05-17 13:54 aml Assigned To aml => bugmaster
2022-05-17 13:54 aml Status resolved => reviewed
2022-05-17 13:54 aml Note Added: 0108468
2022-05-21 11:07 afokin Status reviewed => tested
2022-05-21 11:07 afokin Note Added: 0108530
2022-05-21 11:45 smoskvin Changeset attached => occt master b9280b8b
2022-05-21 11:45 aml Assigned To bugmaster => aml
2022-05-21 11:45 aml Status tested => verified
2022-05-21 11:45 aml Resolution open => fixed
2022-05-21 11:45 kgv Changeset attached => occt-products master 17cda813
2022-05-21 11:45 kgv Assigned To aml => kgv
2022-05-21 11:47 git Note Added: 0108541
2022-05-30 23:02 kgv Relationship added duplicate of 0032993
2022-06-14 13:44 azv Relationship replaced has duplicate 0032993
2022-10-19 15:56 smoskvin Assigned To kgv => vpozdyayev